# Ipopt::ExpandedMultiVectorMatrixSpace Class Reference

This is the matrix space for ExpandedMultiVectorMatrix. More...

`#include <IpExpandedMultiVectorMatrix.hpp>`

Inheritance diagram for Ipopt::ExpandedMultiVectorMatrixSpace:
[legend]

List of all members.

## Public Member Functions
ExpandedMultiVectorMatrix * | MakeNewExpandedMultiVectorMatrix () const
| Method for creating a new matrix of this specific type.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
SmartPtr< const VectorSpace > | RowVectorSpace () const
| Accessor method for the VectorSpace for the rows.
SmartPtr< const ExpansionMatrix > | GetExpansionMatrix () const
Constructors / Destructors
| ExpandedMultiVectorMatrixSpace (Index nrows, const VectorSpace &vec_space, SmartPtr< const ExpansionMatrix > exp_matrix)
| Constructor, given the number of rows (i.e., Vectors to be stored) and given the VectorSpace for the Vectors.
virtual | ~ExpandedMultiVectorMatrixSpace ()
| Destructor.
## Private Attributes
SmartPtr< const VectorSpace > | vec_space_
SmartPtr< const ExpansionMatrix > | exp_matrix_

## Detailed Description

This is the matrix space for ExpandedMultiVectorMatrix.

Definition at line 123 of file IpExpandedMultiVectorMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ExpandedMultiVectorMatrixSpace::ExpandedMultiVectorMatrixSpace | ( | Index | nrows,
|  | const VectorSpace & | vec_space,
|  | SmartPtr< const ExpansionMatrix > | exp_matrix |
| ) |  |  |

Constructor, given the number of rows (i.e., Vectors to be stored) and given the VectorSpace for the Vectors.

virtual Ipopt::ExpandedMultiVectorMatrixSpace::~ExpandedMultiVectorMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 135 of file IpExpandedMultiVectorMatrix.hpp.

## Member Function Documentation

ExpandedMultiVectorMatrix* Ipopt::ExpandedMultiVectorMatrixSpace::MakeNewExpandedMultiVectorMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 140 of file IpExpandedMultiVectorMatrix.hpp.

virtual Matrix* Ipopt::ExpandedMultiVectorMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 147 of file IpExpandedMultiVectorMatrix.hpp.

SmartPtr<const VectorSpace> Ipopt::ExpandedMultiVectorMatrixSpace::RowVectorSpace | ( |  | ) | const`[inline]`

Accessor method for the VectorSpace for the rows.

Definition at line 153 of file IpExpandedMultiVectorMatrix.hpp.

SmartPtr<const ExpansionMatrix> Ipopt::ExpandedMultiVectorMatrixSpace::GetExpansionMatrix | ( |  | ) | const`[inline]`

Definition at line 158 of file IpExpandedMultiVectorMatrix.hpp.

## Member Data Documentation

SmartPtr<const VectorSpace> Ipopt::ExpandedMultiVectorMatrixSpace::vec_space_`[private]`

Definition at line 164 of file IpExpandedMultiVectorMatrix.hpp.

SmartPtr<const ExpansionMatrix> Ipopt::ExpandedMultiVectorMatrixSpace::exp_matrix_`[private]`

Definition at line 166 of file IpExpandedMultiVectorMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpExpandedMultiVectorMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines